{ config, pkgs, ... }: {
  users.users = {
    agatha = {
      isNormalUser = true;
      description = "Agatha Valentine Lovelace";
      extraGroups = [ "networkmanager" "wheel" "docker" ];
      shell = pkgs.fish;

      openssh.authorizedKeys.keys = [
        "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIGGYqCcDg9hTINHyf8S56/P83+ZzqwV2t9gUsVYyajjR"
      ];
    };
  };

  users.users.root.openssh.authorizedKeys.keys =
    config.users.users.agatha.openssh.authorizedKeys.keys;
}
